// Accessing interfaces within .DLL files without using COM example
// Written by Justin Blackwell
// email: jdb8@ukc.ac.uk

class IRenderer
{
public:
	// This is just to test - you could do whatever here
	virtual void Render3DGame() = 0;

};



extern "C" { 
	
	IRenderer* CreateRendererInstance( ); 
	typedef IRenderer* (*CREATERENDERERINSTANCE)();

	void FreeRendererInstance( IRenderer* renderer );
	typedef void (*FREERENDERERINSTANCE)( IRenderer* renderer );

};
